commit:     88893ecd80335238cfc1ca86db96f29f76a81af3
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 28 04:00:39 2018 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Fri Sep 28 10:23:52 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88893ecd

sci-visualization/tensorboard: bump 1.11.0

Package-Manager: Portage-2.3.49, Repoman-2.3.10

 sci-visualization/tensorboard/Manifest             |  1 +
 .../tensorboard/tensorboard-1.11.0.ebuild          | 46 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/sci-visualization/tensorboard/Manifest 
b/sci-visualization/tensorboard/Manifest
index aeb37519bbc..ff1ab4e460d 100644
--- a/sci-visualization/tensorboard/Manifest
+++ b/sci-visualization/tensorboard/Manifest
@@ -1 +1,2 @@
 DIST tensorboard-1.10.0.zip 3280385 BLAKE2B 
b4e9f6d4fc6252b57f31e8514516205c8f8150d3d2c0f46049338fe7d7dd601b75c0b1c21945e06d077511426f85c65a318e184f9fd40758b1f83a7e93364518
 SHA512 
2c3a741c4627242e2e4c144d09089c951291826fe1839cf04d9f369b4e88cd5d7fb02b0789ea11cb4810ef458e167e98562ba55ac7cfcc048e4117f12b531818
+DIST tensorboard-1.11.0.zip 3027414 BLAKE2B 
5a0c325755551d5dfea98cc96cfa5ee0a8c9d39c2e7bcf8139daea54dcc89e5004de0dd90069e626264e11633acc283055ee3e73654b3d883418e07eef6f0f08
 SHA512 
d3948143a883ed6c6353cfab945814ff4ef21833b38875f003ef375d1e3a63dd65fce49ef80b2eec5827c46ffb6a82f8464f2b0e7d4af348ad8ba51ce4829426

diff --git a/sci-visualization/tensorboard/tensorboard-1.11.0.ebuild 
b/sci-visualization/tensorboard/tensorboard-1.11.0.ebuild
new file mode 100644
index 00000000000..5e3272e5be0
--- /dev/null
+++ b/sci-visualization/tensorboard/tensorboard-1.11.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6} )
+inherit python-r1 python-utils-r1
+
+DESCRIPTION="TensorFlow's Visualization Toolkit"
+HOMEPAGE="https://www.tensorflow.org/";
+SRC_URI="https://files.pythonhosted.org/packages/9b/2f/4d788919b1feef04624d63ed6ea45a49d1d1c834199ec50716edb5d310f4/${P}-py3-none-any.whl
 -> ${P}.zip"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="
+       dev-python/bleach[${PYTHON_USEDEP}]
+       dev-python/html5lib[${PYTHON_USEDEP}]
+       dev-python/markdown[${PYTHON_USEDEP}]
+       dev-python/numpy[${PYTHON_USEDEP}]
+       dev-python/protobuf-python[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/werkzeug[${PYTHON_USEDEP}]
+       virtual/python-futures[${PYTHON_USEDEP}]"
+BDEPEND="app-arch/unzip"
+PDEPEND="sci-libs/tensorflow[python,${PYTHON_USEDEP}]"
+
+S="${WORKDIR}/${PN}"
+
+src_prepare() {
+       rm -rf "${S}/_vendor" || die
+       find "${S}" -name '*.py' -exec sed -i -e \
+               's/^from tensorboard\._vendor import /import /;
+               s/^from tensorboard\._vendor\./from /' {} + || die "failed to 
unvendor"
+
+       eapply_user
+}
+
+src_install() {
+       do_install() {
+               python_domodule "${S}"
+       }
+       python_foreach_impl do_install
+}

Reply via email to